xpaatexit(3)

NAME
XPAAtExit - install exit handler

SYNOPSIS
  #include <xpa.h>

  void XPAAtExit(void);

DESCRIPTION
XPAAtExit() will install an exit handler using atexit() to run XPAFree on all XPA access points. This might be useful in cases where Unix sockets are being used: if an explicit call to XPAFree() is not made by the program, the Unix socket file will not be deleted immediately without an atexit handler. (NB: this call should not be made in a Tcl/Tk application. Accessing the Tcl native file system after Tcl has shut down all file systems causes the Tcl/Tl program to crash).